# Hellblade: Senua's Sacrifice 1.1.0
# BID: 9B3DDF2FB9100E51

ALL_FPS:
  # Custom Dynamic Resolution implementation - Frame Time (MAX/MIN)
  # MAX = (1/FPS) * 0.95
  # MIN = (1/FPS) * 0.9
  -
    type: evaluate_write
    address: [MAIN, 0x520BBE0, 0x40]
    value_type: float
    value: ["0.95 / FPS_TARGET", "0.9 / FPS_TARGET"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x521F7A0, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
